This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 866012 - Review Request: non-daw - a digital audio workstation using JACK
Review Request: non-daw - a digital audio workstation using JACK
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jørn Lomax
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FedoraAudio
  Show dependency treegraph
 
Reported: 2012-10-13 05:16 EDT by Brendan Jones
Modified: 2013-01-28 10:27 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-28 10:05:11 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
northlomax: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Brendan Jones 2012-10-13 05:16:05 EDT
non-daw is the digital audio workstation from the non-family of programs

SRPM: http://bsjones.fedorapeople.org/non-daw.spec
SPEC: http://bsjones.fedorapeople.org/non-daw-1.1.0-0.1.gitae6b78cf.fc18.src.rpm

non-daw.src: W: invalid-url Source0: non-daw-20121013-git61addce.tar.bz2
non-daw.x86_64: E: incorrect-fsf-address /usr/share/doc/non-daw-1.1.0/COPYING
non-daw.x86_64: W: no-manual-page-for-binary non-daw
Comment 1 Jørn Lomax 2012-10-28 08:44:54 EDT
The only issue I can see is that there is no mention about contact upstream about the incorrect fsf-address. And while you are at it, you can also mention the following bug to them:

/builddir/build/BUILDROOT/non-daw-1.1.0-0.1.gitae6b78cf.fc17.x86_64/usr/share/applications/non-daw.desktop: warning: value "Application;AudioVideo;Audio;X-Jack;" for key "Categories" in group "Desktop Entry" contains a deprecated value "Application

Once you have fixed that little issue, I'll be ready to approve it
Comment 3 Jørn Lomax 2012-10-28 18:05:04 EDT
Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[ ]: Package does not contain kernel modules.
[ ]: Package contains no static executables.
[x]: Rpath absent or only used for internal libs.

Generic:
[ ]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[ ]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[ ]: Package contains no bundled libraries.
[ ]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[ ]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
[ ]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install if there is
     such a file.
[ ]: Development files must be in a -devel package
[ ]: Package requires other packages for directories it uses.
[ ]: Package uses nothing in %doc for runtime.
[ ]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[ ]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[ ]: Large documentation files are in a -doc subpackage, if required.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[ ]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v2 or later) (with incorrect FSF address)", "Unknown or generated".
     2 files have unknown license. Detailed output of licensecheck in
     /home/makerpm/rpmbuild/REVIEW/866012-non-daw/licensecheck.txt
[ ]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named using only allowed ASCII characters.
[ ]: Package is named according to the Package Naming Guidelines.
[ ]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package do not use a name that already exist
[ ]: Package obeys FHS, except libexecdir and /usr/target.
[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: Package must own all directories that it creates.
[ ]: Package does not own files or directories owned by other packages.
[x]: Package installs properly.
[ ]: Package is not relocatable.
[ ]: Requires correct, justified where necessary.
[x]: CheckResultdir
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[ ]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[ ]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.
[ ]: Useful -debuginfo package or justification otherwise.

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[ ]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[ ]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[ ]: Package functions as described.
[ ]: Latest version is packaged.
[ ]: Package does not include license text files separate from upstream.
[ ]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: The placement of pkgconfig(.pc) files are correct.
[ ]: Scriptlets must be sane, if used.
[ ]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[!]: SourceX / PatchY prefixed with %{name}.
     Note: Source1 (non-snapshot.sh)
[x]: SourceX is a working URL.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: non-daw-debuginfo-1.1.0-0.1.gitae6b78cf.fc17.x86_64.rpm
          non-daw-1.1.0-0.1.gitae6b78cf.fc17.x86_64.rpm
          non-daw-1.1.0-0.1.gitae6b78cf.fc17.src.rpm
non-daw-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/non-daw-20121013/FL/FL/New_Project_Dialog.H
non-daw-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/non-daw-20121013/FL/FL/New_Project_Dialog.C
non-daw-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/non-daw-20121013/timeline/FL/New_Project_Dialog.H
non-daw-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/non-daw-20121013/timeline/src/TLE.C
non-daw-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/non-daw-20121013/timeline/src/TLE.H
non-daw.x86_64: E: incorrect-fsf-address /usr/share/doc/non-daw-1.1.0/COPYING
non-daw.x86_64: W: no-manual-page-for-binary non-daw
non-daw.src: W: invalid-url Source0: non-daw-20121013-git61addce.tar.bz2
3 packages and 0 specfiles checked; 6 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint non-daw non-daw-debuginfo
non-daw.x86_64: E: incorrect-fsf-address /usr/share/doc/non-daw-1.1.0/COPYING
non-daw.x86_64: W: no-manual-page-for-binary non-daw
non-daw-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/non-daw-20121013/FL/FL/New_Project_Dialog.H
non-daw-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/non-daw-20121013/FL/FL/New_Project_Dialog.C
non-daw-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/non-daw-20121013/timeline/FL/New_Project_Dialog.H
non-daw-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/non-daw-20121013/timeline/src/TLE.C
non-daw-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/non-daw-20121013/timeline/src/TLE.H
2 packages and 0 specfiles checked; 6 errors, 1 warnings.
# echo 'rpmlint-done:'



Requires
--------
non-daw-debuginfo-1.1.0-0.1.gitae6b78cf.fc17.x86_64.rpm (rpmlib, GLIBC filtered):
    

non-daw-1.1.0-0.1.gitae6b78cf.fc17.x86_64.rpm (rpmlib, GLIBC filtered):
    
    /bin/sh  
    libX11.so.6()(64bit)  
    libXpm.so.4()(64bit)  
    libc.so.6()(64bit)  
    libfltk.so.1.3()(64bit)  
    libfltk_images.so.1.3()(64bit)  
    libgcc_s.so.1()(64bit)  
    libjack.so.0()(64bit)  
    liblo.so.7()(64bit)  
    libm.so.6()(64bit)  
    libpthread.so.0()(64bit)  
    libsigc-2.0.so.0()(64bit)  
    libsndfile.so.1()(64bit)  
    libsndfile.so.1(libsndfile.so.1.0)(64bit)  
    libstdc++.so.6()(64bit)  
    libstdc++.so.6(CXXABI_1.3)(64bit)  
    rtld(GNU_HASH)  



Provides
--------
non-daw-debuginfo-1.1.0-0.1.gitae6b78cf.fc17.x86_64.rpm:
    
    non-daw-debuginfo = 1.1.0-0.1.gitae6b78cf.fc17
    non-daw-debuginfo(x86-64) = 1.1.0-0.1.gitae6b78cf.fc17

non-daw-1.1.0-0.1.gitae6b78cf.fc17.x86_64.rpm:
    
    non-daw = 1.1.0-0.1.gitae6b78cf.fc17
    non-daw(x86-64) = 1.1.0-0.1.gitae6b78cf.fc17



MD5-sum check
-------------


Generated by fedora-review 0.3.0 (c78e275) last change: 2012-09-24
Buildroot used: fedora-17-x86_64
Command line :/usr/bin/fedora-review -b 866012

The only issue found was:
[!]: SourceX / PatchY prefixed with %{name}.
     Note: Source1 (non-snapshot.sh)

We both know why this is, and there is nothing we can do about it


******************
*PACKAGE APPROVED*
******************
Comment 4 Matthias Runge 2012-10-29 05:24:04 EDT
To intervene here, Jørn, please try to improve your review!

From fedora-review output:

[ ] = Manual review needed
(means, the reviewer has to do work by hand)

There are easy ones (GPLv2+ is absolutely an open source compatible license), changelog, but also harder things to check. You should do that!

Fedora review also spits out the following text:
fedora-review is automated tool, but *YOU* are responsible for manually reviewing the results and finishing the review. Do not just copy-paste the results without 
understanding them.
Comment 5 Brendan Jones 2012-11-06 01:51:05 EST
New Package SCM Request
=======================
Package Name: non-daw
Short Description: digitial audio workstation for JACK
Owners: bsjones
Branches:f16 f17 f18
InitialCC:
Comment 6 Jon Ciesla 2012-11-06 07:36:38 EST
Git done (by process-git-requests).
Comment 7 Jørn Lomax 2012-11-26 06:27:48 EST
Good to close this?
Comment 8 Brendan Jones 2012-11-26 06:30:30 EST
Not as yet. I've not submitted an update but will soon.
Comment 9 Matthias Runge 2012-11-26 06:31:37 EST
@Jørn

normally, it get's closed if a package hits stable.
Apparently, there are no builds yet.
https://admin.fedoraproject.org/pkgdb/acls/bugs/non-daw
Comment 10 Jørn Lomax 2012-11-26 06:34:50 EST
Ahh, my bad. I was just cleaning up some of the packages I got reviewed during the summer that still weren't closed and were cluttering up my list of bugs. Guess i was a little hasty :p
Comment 11 Fedora Update System 2013-01-13 17:18:09 EST
non-daw-1.1.0-0.1.gitae6b78cf.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/non-daw-1.1.0-0.1.gitae6b78cf.fc18
Comment 12 Fedora Update System 2013-01-13 17:18:20 EST
non-daw-1.1.0-0.1.gitae6b78cf.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/non-daw-1.1.0-0.1.gitae6b78cf.fc17
Comment 13 Fedora Update System 2013-01-14 21:21:58 EST
Package non-daw-1.1.0-0.1.gitae6b78cf.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing non-daw-1.1.0-0.1.gitae6b78cf.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-0798/non-daw-1.1.0-0.1.gitae6b78cf.fc17
then log in and leave karma (feedback).
Comment 14 Fedora Update System 2013-01-28 10:05:14 EST
non-daw-1.1.0-0.1.gitae6b78cf.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2013-01-28 10:27:32 EST
non-daw-1.1.0-0.1.gitae6b78cf.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.